// 	Copyright  1991 by Apple Computer, Inc.  All rights reserved. 
// 	AEGestalt.r file.
//	Kent Sandvik DTS
//	This file contains all the normal MacApp resources, with
//	the exception of the window/view resources which are in the
//	views.rsrc file (in 3.0 'View' format). The "2.0 views.rsrc"
//	file contains the same information in the old format.
//
//	<1>		khs		1.0		First final version


// INCLUDES 

#ifndef __TYPES.R__
#include "Types.r"
#endif

#ifndef __SYSTYPES.R__
#include "SysTypes.r"				// needed for version resource
#endif		

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#if qTemplateViews
#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif
#endif

#if qDebug
include "Debug.rsrc";
#endif

#ifndef __RESOURCECONSTANTS__
#include "ResourceConstants.h"			// common header file for resource IDs
#endif


// RESOURCES FILES

include "MacApp.rsrc";
include "views.rsrc";


// CODE 

#if !qPowerPC
include $$Shell("ObjApp")"AEGestalt" 'CODE';
#endif

// CONSTANTS

// Finder Information

#define kApplicationName				$$Shell("XAppName")

resource 'SIZE' (-1) {
	saveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	doesActivateOnFGSwitch,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreAppDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	isStationeryAware,				
	reserved,
	reserved,
	reserved,
	reserved,
#if qModelFarCode
	1550 * 1024,
	1500 * 1024,
#elif qDebug
	1500 * 1024,
	1475 * 1024
#else
	1375 * 1024,
	1350 * 1024
#endif
};

/*--------------------------------------------------------------------------------
	memory stuff
--------------------------------------------------------------------------------*/
resource 'mem!' (132,
#if qNames
	"Additional Stack Space",
#endif
	purgeable) {
	0,				// Add to object heap size
	0,				// Add to heap increment size
	0,				// Add to temporary reserve
	0,				// Add to permanent reserve
	49152			// Add to stack space
};



/*	Printing to the LaserWriter is the time when the most temporary memory
	is in use.  We need the segments in use at that time */

resource 'seg!' (256, purgeable) {
	{
		"GNonRes";
		"GClipboard";
		"GClose";
		"GFile";
		"GOpen";
		"GReadFile";
		"GSelCommand";
		"GFinder";
		"GWriteFile";
		"BBNonRes";
		"BBOpen";
		"GNonRes2";
		"GPrint";
		"GReadResource";
		"TESelCommand";
	}
};

#if qPowerPC
#include "CodeFragmentTypes.r"

resource 'cfrg' (0, "Configuration Info") {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		0,
		0,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"AEGestalt"
	}
};
#endif


// APPLEEVENTS 

resource 'aedt' (kGestaltAEEvents) {		// AE Dispatch table resource
	{
	kMacAppClass, kAEGetConfig, cAEProvideGestaltInfo;
	}
};
//	AE Class, AE Message ID, command Number



// VERS

// Version for MouseInfo

RESOURCE 'vers' (1,
#if qNames
	"Application Version",
#endif
	purgeable) {
	0x01,
	0x00,
	final,
	0x01,
	verUs,
	"1.0",
	"1.0, Application created by MacApp and Mountain Dew"
};




// ALERTS AND DLOGS 

include "Defaults.rsrc" 'ALRT'	(phAboutApp);		// About window
include "Defaults.rsrc" 'DITL'	(phAboutApp);		// About contents
include "Defaults.rsrc" 'STR#'	(kDefaultCredits);	// credits


// ICONs and BUNDLE
// Get the default MacApp application icon and file reference

include "Defaults.rsrc"  'ICN#' (128);


// CMNUs 

include "Defaults.rsrc" 'CMNU' (mApple);			// grab the default Apple/File menus

resource 'CMNU' (mFile,
#if qNames
"mFile",
#endif
nonpurgeable) {
	mFile,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"File",
	{
	"New",				noIcon, "N",	noMark, plain, cNew;
	"Close",			noIcon, "W",	noMark, plain, cClose;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Quit",				noIcon, "Q",	noMark, plain, cQuit
	}
};

resource 'CMNU' (mExamine,
#if qNames
"mExamine",
#endif
nonpurgeable) {
	mExamine,
	textMenuProc,
	allEnabled,
	enabled,
	"Examine",
	{
	"Find",			noIcon, "F",	noMark, plain, cFindAEGestalt;
	"Report",			noIcon, "R",	noMark, plain, cCreateReport
	}
};


// MBARs 
// Displayed menus 

resource 'MBAR' (kMBarDisplayed,
#if qNames
"Windoid",
#endif
	purgeable) {
	{mApple; mFile; mExamine}
};


//--------------------------------------------------------------------------------------------------
// 	Icons, Bundles and FRefsOh my! (don't forget the Signature)
//	It is very important that the Signature is registered here, because
//	we are using it as a way to register the application PPC port, and 
//	otherwise we will get a default name, which will not show up in the
//	PPCBrowse filtering function. I learned this hard lesson 3.23 am
//	and it was even a Saturday morning, sigh!

type kSignature as 'STR ';
resource kSignature (0,
#if qNames
"Signature",
#endif
	purgeable) {
	"AEGestalt 3.0b2 Apple Computer, Inc. 1991"
};

resource 'FREF' (kApplicationID,
#if qNames
"AEGestalt Application",
#endif
	purgeable) {
	'APPL',
	0,
	""
};

resource 'FREF' (kDocumentID,
#if qNames
"AEGestalt Document",
#endif
	purgeable) {
	kFileType,
	1,
	""
};

resource 'FREF' (kStationeryID,
#if qNames
"AEGestalt Stationery",
#endif
	purgeable) {
	kStationery,
	2,
	""
};

resource 'BNDL' (kBundleID,
#if qNames
"AEGestalt",
#endif
	purgeable) {
	kSignature,
	0,
	{ /* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{ /* array IDArray: 3 elements */
			0, kApplicationID,
			1, kDocumentID,
			2, kStationeryID
		},
		/* [2] */
		'FREF',
		{ /* array IDArray: 3 elements */
			0, kApplicationID,
			1, kDocumentID,
			2, kStationeryID
		}
	}
};



// About Dialog resources + Views #################################################################################################################
// a couple of the resources are actually unused, but I left them in because I might need them
// in another project :-)


include "PICT.rsrc";					// PICT resource (1002)

resource 'STR#' (10006, "Window titles", purgeable) {
	{	/* array StringArray: 1 elements */
		/* [1] */
		"About MouseInfo"
	}
};

resource 'STR#' (10005, "Static Text text", purgeable) {
	{	/* array StringArray: 4 elements */
		/* [1] */
		"AEGestalt Sample App",
		/* [2] */
		"Information",
		/* [3] */
		"Version Info",
		/* [4] */
		"AEGestalt is a MacApp 3.0 AppleEvent snippet - create and handle AEs (see Release Notes for info!).\nKent Sandvik/DTS (ALink: KSAND, Net: ksand@apple.com)",
		/* [5] */
		" ",
		/* [6] */
		"Kent & Jeff Sandvik hacking on the next Apple OS"
	}
};

resource 'TxSt' (10000, purgeable) {
	tsBold,
	36,
	{	/* array: 3 elements */
		/* [1] */
		0x0,
		/* [2] */
		0x0,
		/* [3] */
		0x0
	},
	"Times"
};

resource 'TxSt' (10001, purgeable) {
	tsPlain,
	0,
	{	/* array: 3 elements */
		/* [1] */
		0x0,
		/* [2] */
		0x0,
		/* [3] */
		0x0
	},
	"Chicago"
};

resource 'TxSt' (10002, purgeable) {
	tsBold,
	9,
	{	/* array: 3 elements */
		/* [1] */
		0x0,
		/* [2] */
		0x0,
		/* [3] */
		0x0
	},
	"Monaco"
};

resource 'TxSt' (10003, purgeable) {
	tsBold,
	9,
	{	/* array: 3 elements */
		/* [1] */
		0xFFFF,
		/* [2] */
		0xFFFF,
		/* [3] */
		0xFFFF
	},
	"Monaco"
};

resource 'TxSt' (10004, purgeable) {
	tsBold,
	36,
	{	/* array: 3 elements */
		/* [1] */
		0xE604,
		/* [2] */
		0xFFFF,
		/* [3] */
		0x591C
	},
	"Times"
};




resource 'View' (12000, "About Box Window") {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 909, "", 'ATBW', enabled, noIdle, {}, MAThreeOh, 
		{45, 45}, {263, 435}, sizeFixed, sizeFixed, notShown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, emptyUserArea, 
		Window {noGrowDocProc, noID, goAwayBox, notResizable, doFirstClick, 
			freeOnClosing, disposeOnFree, doesntCloseDocument, dontOpenWithDocument, dontAdaptToScreen, dontStagger, forceOnScreen, 
			center, doesntFloat, doesntHideOnSuspend, generateActivates, filler, 10006, 1}, 7}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'stat', notEnabled, noIdle, {}, MAThreeOh, 
		{10, 25}, {39, 397}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 10004, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 10005, 1}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'pict', 156, "TPicture", 'pict', notEnabled, noIdle, {}, MAThreeOh, 
		{50, 8}, {195, 265}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		Picture {mPictureHit, notHilited, notDimmed, sizeable, noInset, 10001, dontPreferOutline, 1002}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 154, "", 'info', notEnabled, noIdle, {}, MAThreeOh, 
		{50, 287}, {16, 122}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner},
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"8F"}}}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 10002, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 10005, 2}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 154, "", 'vers', notEnabled, noIdle, {}, MAThreeOh, 
		{200, 287}, {16, 122}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
		AdornFirst, AdornerLocalObject {EraseAdorner},
		DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"8F"}}}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 10002, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 10005, 3}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'sta1', notEnabled, noIdle, {}, MAThreeOh, 
		{70, 287}, {130, 144}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 10003, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 10005, 4}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'sta2', notEnabled, noIdle, {}, MAThreeOh, 
		{225, 287}, {36, 144}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 10003, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 10005, 5}, 
		NoSubviews},
	ViewSignatureAndClassname
		{'stat', 96, "", 'sta3', notEnabled, noIdle, {}, MAThreeOh, 
		{248, 8}, {16, 360}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 10003, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 10005, 6}, 
		NoSubviews}, 
	}
};

