// 	UAEDocument.h
// 	Copyright  1991-92 by Apple Computer, Inc. All rights reserved.
//	Kent Sandvik DTS
//	This file contains the TAEDocument class, the basic TDocument
//	class used in the application.
//
//	<1>		khs		1.0		First final version


#ifndef __UAEDOCUMENT__
#define __UAEDOCUMENT__

//	INCLUDE FILES
#ifndef __UAEGESTALT__
#include "UAEGestalt.h"
#endif

#ifndef __UINFORMATIONVIEW__
#include "UInformationView.h"
#endif

#ifndef __ULABELVIEW__
#include "ULabelView.h"
#endif

#ifndef __ULOOKUPCOMMAND__
#include "ULookupCommand.h"
#endif

#ifndef __UAECLIENTCOMMAND__
#include "UAEClientCommand.h"
#endif

//	FORWARDING
class TLabelView;
class TInformationView;


//	CLASSES
DeclareClassDesc(TAEDocument);

class TAEDocument : public TDocument
{

	DeclareClass(TAEDocument);

public:
	TAEDocument();
	virtual void IAEDocument();
	virtual void Free();

	virtual void DoMakeViews(Boolean		/*forPrinting*/);
	virtual void DoEvent(EventNumber eventNum,
								TEventHandler* source,
								TEvent* event);


	virtual void GetAEGestaltAddress(AEAddressDesc&);

	virtual void DoSetupMenus();
	virtual void DoMenuCommand(CommandNumber theNumber);

	virtual void ReadConfiguration(Configuration*);
	virtual void ProcessAEInformation();

	//	FIELDS
	TLabelView* fLabelView;
	TInformationView* fInfoView;
	TStaticText* fInfoField;
	TButton* fFindButton;
	TButton* fReportButton;
	AEAddressDesc fAEGestaltAddress;
	Configuration* fConfigurationInfo;
	Boolean fOKNode;
};

#endif
